Bug 198901 - multimedia/mplayer2 fails to build with THEORA support enabled
Summary: multimedia/mplayer2 fails to build with THEORA support enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-25 15:39 UTC by Carlos J Puga Medina
Modified: 2015-05-04 00:48 UTC (History)
4 users (show)

See Also:


Attachments
mplayer2 build log (402.79 KB, text/x-log)
2015-03-25 15:39 UTC, Carlos J Puga Medina
no flags Details
patch-libmpdemux-demux_ogg.c (5.17 KB, patch)
2015-03-30 17:59 UTC, Carlos J Puga Medina
jbeich: maintainer-approval? (freebsd)
Details | Diff
patch-libmpcodecs-vd_theora.c (5.58 KB, patch)
2015-03-30 18:00 UTC, Carlos J Puga Medina
jbeich: maintainer-approval? (freebsd)
Details | Diff
mplayer2 build log on 11-CURRENT (402.72 KB, text/x-log)
2015-04-17 00:38 UTC, Carlos J Puga Medina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-03-25 15:39:46 UTC
Created attachment 154796 [details]
mplayer2 build log

I reinstalled all ports related to ogg/theora, but it fails to link

...skipping...
 -lXinerama -lXxf86vm -lSDL -lGL 
libmpdemux/demux_ogg.o: In function `demux_ogg_read_packet':
libmpdemux/demux_ogg.c:(.text+0x4319): undefined reference to `_ilog'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Makefile:549: fallo en las instrucciones para el objetivo 'mplayer'
gmake[2]: *** [mplayer] Error 1
gmake[2]: se sale del directorio '/usr/ports/multimedia/mplayer2/work/mplayer2-2.0.20130428'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1
Comment 1 Thomas Zander freebsd_committer 2015-03-26 21:01:11 UTC
Assign to maintainer.
Comment 2 Carlos J Puga Medina 2015-03-30 17:59:35 UTC
Created attachment 155022 [details]
patch-libmpdemux-demux_ogg.c
Comment 3 Carlos J Puga Medina 2015-03-30 18:00:11 UTC
Created attachment 155023 [details]
patch-libmpcodecs-vd_theora.c

The following patches solves my problem.
Comment 4 Anonymous 2015-04-17 00:16:54 UTC
Do you have a poudriere build log ?
Comment 5 Carlos J Puga Medina 2015-04-17 00:31:35 UTC
(In reply to chris from comment #4)

Building on CURRENT...
Comment 6 Carlos J Puga Medina 2015-04-17 00:38:52 UTC
Created attachment 155653 [details]
mplayer2 build log on 11-CURRENT
Comment 7 Carlos J Puga Medina 2015-04-17 00:43:43 UTC
Here is my configuration options:

% make pretty-print-config
+ASS -CACA -DEBUG -DV -GIF +IPV6 -JACK -LADSPA -LIBBLURAY +LIBCDIO -LIRC +MAD +OPENGL -PORTAUDIO -PULSE -REALPLAYER -RTC +SDL -SMB +SPEEX +THEORA -VDPAU +WIN32 +X11 +XINERAMA
Comment 8 Anonymous 2015-04-17 00:48:05 UTC
How can you say this patch fixes it for me if it fails to build ?
Comment 9 Carlos J Puga Medina 2015-04-17 01:00:21 UTC
Could you show the error(s)? It's weird :S
Comment 10 Anonymous 2015-04-17 01:05:38 UTC
YOu first send in a PR regarding theora, then you send in 2 patches saying those patches fixes the issue for you, I request a build log and it shows the build fails so I don't know how those patches "fixes the issue" if the build fails.
Comment 11 Carlos J Puga Medina 2015-04-17 01:11:37 UTC
(In reply to chris from comment #10)

No. It builds fine, see that attachment:

https://bz-attachments.freebsd.org/attachment.cgi?id=155653
Comment 12 Anonymous 2015-04-17 01:15:16 UTC
Ah I was looking at the "mplayer2 build log" not the other one, bad day to stop taking my meds. I will test this on my end and either Approve it or deny it. Thank you for your patches.
Comment 13 Carlos J Puga Medina 2015-04-17 01:17:17 UTC
Hehe, it don't matter. Go ahead :)
Comment 14 Carlos J Puga Medina 2015-04-17 01:18:26 UTC
(In reply to Carlos Jacobo Puga Medina from comment #13)
doesn't*
Comment 15 Anonymous 2015-04-17 01:20:34 UTC
So is it both patches or one or the other ?
Comment 16 Carlos J Puga Medina 2015-04-17 01:23:20 UTC
(In reply to chris from comment #15)

You need both patches.
Comment 17 Anonymous 2015-04-17 01:26:39 UTC
OK thank you sir, I will test in a bit after I free my mind from looking at C all day.
Comment 18 Jan Beich freebsd_committer 2015-04-19 17:54:00 UTC
Reset assignee per ports r384126 and ports r384127.
Comment 19 Anonymous 2015-04-19 20:44:00 UTC
Approved.
Comment 20 Kurt Jaeger freebsd_committer 2015-04-30 06:41:15 UTC
Build tested on 10.1a, 9.3a, 8.4i, looks fine.
Comment 21 commit-hook freebsd_committer 2015-04-30 06:45:50 UTC
A commit references this bug:

Author: pi
Date: Thu Apr 30 06:45:27 UTC 2015
New revision: 385026
URL: https://svnweb.freebsd.org/changeset/ports/385026

Log:
  multimedia/mplayer2: fix build if THEORA support enabled

  PR:		198901
  Submitted by:	Carlos Jacobo Puga Medina <cpm@fbsd.es>
  Approved by:	chris@bsdjunk.com (maintainer)

Changes:
  head/multimedia/mplayer2/files/patch-libmpcodecs-vd_theora.c
  head/multimedia/mplayer2/files/patch-libmpdemux-demux_ogg.c
Comment 22 Kurt Jaeger freebsd_committer 2015-04-30 06:46:20 UTC
Committed, thanks!